Subject: Ticket Assigned - Giggles Major Baby Convertible Car Seat - Need more information
From: Babyshop <[email-masked]>
To: [email-masked]
Date: Mon, 03 Oct 2022 03:10:03 +0000

Hi Abdulqader Ahmed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Giggles Major Baby Convertible Car Seat - Need more information Hi Team,

I would like to get more information on this car seat. Complete details like other seats not available online. Few details which I would like to know.
Appreciate your quick response so I could decide on which model I should purchase.

Maximum Child Weight (kg) :
Maximum Recommended Age (yrs)
Reclining Positions :
Weight:
Isofix details
Certification

Regards,
Abdul Sami
055 112 8236

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4901815